import React from 'react';
import type { Command } from '@codemirror/view';
import { EditorView } from '@codemirror/view';
import { unfoldAll } from '@codemirror/language';
import type { Diagnostic } from '@codemirror/lint';
declare type EditorLanguage = 'json' | 'javascript';
declare type Annotation = Pick<Diagnostic, 'from' | 'to' | 'severity' | 'message'>;
declare type EditorProps = {
    language?: EditorLanguage;
    onChangeText?: (text: string, event?: any) => void;
    onLoad?: (editor: EditorView) => void;
    darkMode?: boolean;
    showLineNumbers?: boolean;
    showFoldGutter?: boolean;
    readOnly?: boolean;
    className?: string;
    'data-testid'?: string;
    annotations?: Annotation[];
} & ({
    text: string;
    initialText?: never;
} | {
    text?: never;
    initialText: string;
});
declare const BaseEditor: React.FunctionComponent<EditorProps> & {
    foldAll: typeof foldAll;
    unfoldAll: typeof unfoldAll;
    copyAll: typeof copyAll;
    prettify: typeof prettify;
};
declare const foldAll: Command;
declare const copyAll: Command;
declare const prettify: Command;
export type { EditorView };
export { BaseEditor as JSONEditor };
//# sourceMappingURL=json-editor.d.ts.map